Update Settings
PUT
/v1/settings
const url = 'https://api.cloud.agentums.ru/v1/settings';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"auto_rename_mode":"auto","calendar_reminders_telegram":true,"chat_memory":true,"proactive":true,"timezone":"example","ui":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.cloud.agentums.ru/v1/settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "auto_rename_mode": "auto", "calendar_reminders_telegram": true, "chat_memory": true, "proactive": true, "timezone": "example", "ui": {} }'Изменить настройки. Несмотря на PUT, тело частичное: незаданные поля
сохраняются, а не обнуляются. Размер ui ограничен — превышение даёт 400.
Authorizations
Заголовок раздела «Authorizations»Request Bodyrequired
Заголовок раздела «Request Bodyrequired»Media typeapplication/json
Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
SettingsOut
object
auto_rename_mode
Auto Rename Mode
string
calendar_reminders_telegram
Calendar Reminders Telegram
boolean
chat_memory
Chat Memory
boolean
prefs
Prefs
object
key
additional properties
any
proactive
Proactive
boolean
timezone
Timezone
string
ui
Ui
object
key
additional properties
any
Example
{ "auto_rename_mode": "dont_rename", "calendar_reminders_telegram": false, "chat_memory": true, "prefs": {}, "proactive": false, "timezone": "", "ui": {}}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}